#ifndef SCENES_H_INCLUDED
#define SCENES_H_INCLUDED

class GScene_Game {
  public: GScene_Game(){}
  public: int updated;
  public: void draw();
  public: void update();
  public: void main();
};

class GScene_Menu {
  public: GScene_Menu(){}
  public: int updated;
  public: void draw();
  public: void update();
  public: void main();
};


class GScene_HS {
  public: GScene_HS(){}
  public: int updated;
  public: void draw();
  public: void update();
  public: void main();
};

class GScene_End {
  public: GScene_End(){}
  public: int updated;
  public: void draw();
  public: void update();
  public: void main();
};


#endif
